curl "https://pulsedive.com/api/analyze.php?value=pulsedive.com"{
"qid": "2100254203"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Add Indicator to the Queue
Add an indicator to the scanning queue and receive a queue ID, so you can poll for results.
curl "https://pulsedive.com/api/analyze.php?value=pulsedive.com"{
"qid": "2100254203"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Query Parameters
Base64-encoded value of the indicator to scan.
Useful for safely transmitting indicators that contain special characters or when the indicator is not being processed correctly through the indicator parameter. (If this is happening, please let us know.)
Use this parameter instead of indicator when submitting base64-encoded data.
Scan type for the indicator.
Passive scans collect data without direct contact, such as through WHOIS and DNS requests. Active scans include port scanning and web browser analysis, which are more detectable.
For active scanning, set to 1.
For passive scanning, set to 0.
0, 1 Controls whether to save the scanned indicator to Pulsedive's database.
To store the indicator and make it searchable in future queries, set to 1.
To scan and enrich without storing, set to 0.
If you scan an indicator that already exists in the database, Pulsedive updates it with fresh scan results regardless of this parameter's value.
0, 1 Response
Successful request. Returns scan queue information in JSON format.
Dynamic key-value pair representing the outcome of your request.
Each {key} represents the overall outcome of your request. The {value} string provides additional context for the outcome. Until your request is complete, the {key} will be error.
{ "error": "Added request to queue." }
Was this page helpful?